{
  "accUserMode" : 2,
  "getCapPSLanguageRes" : {
    "lanResTag" : "DE.LNAME.WORKITEM"
  },
  "caption" : "工作项",
  "codeName" : "WORKITEMUsr08278286GridExpView",
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDEVIEWS/WORKITEMUsr08278286GridExpView.json",
  "name" : "WORKITEMUsr08278286GridExpView",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/WORKITEM.json"
  },
  "getPSAppModule" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPMODULES/Test.json"
  },
  "getPSAppViewEngines" : [ {
    "engineCat" : "VIEW",
    "engineType" : "GridExpView",
    "name" : "engine"
  } ],
  "getPSAppViewLogics" : [ {
    "logicTrigger" : "CUSTOM",
    "logicType" : "APPUILOGIC",
    "name" : "newdata",
    "getPSAppUILogic" : {
      "actionAfterWizard" : "DEFAULT",
      "logicType" : "PREDEFINED",
      "name" : "新建数据",
      "viewLogicType" : "APP_NEWDATA",
      "batchAddOnly" : false,
      "enableBatchAdd" : false,
      "enableWizardAdd" : false
    }
  }, {
    "logicTrigger" : "CUSTOM",
    "logicType" : "APPUILOGIC",
    "name" : "opendata",
    "getPSAppUILogic" : {
      "logicType" : "PREDEFINED",
      "name" : "打开数据",
      "viewLogicType" : "APP_OPENDATA",
      "editMode" : true
    }
  } ],
  "getPSControls" : [ {
    "codeName" : "Usr08278286GridExpViewgridexpbar",
    "controlType" : "GRIDEXPBAR",
    "name" : "gridexpbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/WORKITEM.json"
    },
    "getPSAppViewRefs" : [ {
      "name" : "EXPITEM:DEFAULT",
      "parentDataJO" : {
        "srfparentdefname" : "PWORKITEMID",
        "srfparentdename" : "WORKITEM",
        "srfparentmode" : "DER1N_WORKITEM_WORKITEM_PWORKITEMID"
      },
      "realTitle" : "工作项表格视图",
      "getRealTitlePSLanguageRes" : {
        "lanResTag" : "PAGE.TITLE.WORKITEM.GRIDVIEW"
      },
      "getRefPSAppView" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/WORKITEMGridView.json",
        "viewType" : "DEGRIDVIEW"
      }
    } ],
    "getPSControlHandler" : {
      "enableDEFieldPrivilege" : false,
      "id" : "gridexpbar"
    },
    "getPSControlParam" : {
      "autoLoad" : true,
      "showBusyIndicator" : true,
      "id" : "GRIDEXPBAR"
    },
    "getPSControls" : [ {
      "aggMode" : "NONE",
      "codeName" : "Usr08278286GridExpView_Grid",
      "columnEnableFilter" : 2,
      "columnEnableLink" : 2,
      "controlType" : "GRID",
      "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/WORKITEM/PSGRIDS/Usr08278286GridExpView_Grid.json",
      "getFetchPSControlAction" : {
        "modelref" : true,
        "id" : "fetch",
        "actionType" : "DEDATASET",
        "name" : "fetch",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "FetchDefault"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/WORKITEM.json"
        }
      },
      "groupMode" : "NONE",
      "hookEventNames" : [ "SELECTIONCHANGE", "LOAD" ],
      "logicName" : "测试表格导航视图_表格",
      "getMovePSControlAction" : {
        "actionName" : "Move",
        "actionType" : "DEACTION",
        "name" : "move",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Move"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/WORKITEM.json"
        }
      },
      "getNavPSAppView" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/WORKITEMGridView.json",
        "viewType" : "DEGRIDVIEW"
      },
      "getNavPSDER" : {
        "codeName" : "WORKITEM",
        "dERType" : "DER1N",
        "dynaModelFilePath" : "PSMODULES/Test/PSDATAENTITIES/WORKITEM/PSDERS/DER1N_WORKITEM_WORKITEM_PWORKITEMID.json",
        "fKeyName" : "F4AFCBB73015D37081",
        "logicName" : "名称",
        "getMajorPSDataEntity" : {
          "modelref" : true,
          "path" : "PSMODULES/Test/PSDATAENTITIES/WORKITEM.json"
        },
        "masterOrder" : -1,
        "masterRS" : 0,
        "minorCodeName" : "WORKITEMs",
        "getMinorPSDataEntity" : {
          "modelref" : true,
          "path" : "PSMODULES/Test/PSDATAENTITIES/WORKITEM.json"
        },
        "minorServiceCodeName" : "WORKITEMs",
        "name" : "DER1N_WORKITEM_WORKITEM_PWORKITEMID",
        "orderValue" : 100,
        "getPSPickupDEField" : {
          "name" : "PWORKITEMID",
          "codeName" : "Pworkitemid"
        },
        "getPSPickupTextDEField" : {
          "name" : "PWORKITEMNAME",
          "codeName" : "Pworkitemname"
        },
        "pickupDEFName" : "PWORKITEMID",
        "removeActionType" : -1,
        "removeOrder" : 0,
        "serviceCodeName" : "WORKITEM",
        "enableFKey" : true
      },
      "getOrderValuePSAppDEField" : {
        "name" : "PX",
        "codeName" : "PX"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/WORKITEM.json"
      },
      "getPSControlHandler" : {
        "getPSHandlerActions" : [ {
          "actionName" : "Get",
          "actionType" : "DEACTION",
          "dataAccessAction" : "READ",
          "name" : "load",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Get"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/WORKITEM.json"
          }
        }, {
          "actionName" : "Create",
          "actionType" : "DEACTION",
          "dataAccessAction" : "CREATE",
          "name" : "create",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Create"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/WORKITEM.json"
          }
        }, {
          "actionName" : "Update",
          "actionType" : "DEACTION",
          "dataAccessAction" : "UPDATE",
          "name" : "update",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Update"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/WORKITEM.json"
          }
        }, {
          "actionName" : "Remove",
          "actionType" : "DEACTION",
          "dataAccessAction" : "DELETE",
          "name" : "remove",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Remove"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/WORKITEM.json"
          }
        }, {
          "actionName" : "Move",
          "actionType" : "DEACTION",
          "name" : "move",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Move"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/WORKITEM.json"
          }
        }, {
          "actionName" : "GetDraft",
          "actionType" : "DEACTION",
          "dataAccessAction" : "CREATE",
          "name" : "loaddraft",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "GetDraft"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/WORKITEM.json"
          }
        }, {
          "actionType" : "DEDATASET",
          "name" : "fetch",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "FetchDefault"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/WORKITEM.json"
          }
        } ],
        "userDRAction" : "READ",
        "enableDEFieldPrivilege" : false,
        "id" : "数据表格处理器"
      },
      "getPSControlLogics" : [ {
        "eventNames" : "SELECTIONCHANGE",
        "logicTag" : "gridexpbar_grid",
        "logicType" : "CUSTOM",
        "name" : "gridexpbar_selectionchange"
      }, {
        "eventNames" : "LOAD",
        "logicTag" : "gridexpbar_grid",
        "logicType" : "CUSTOM",
        "name" : "gridexpbar_load"
      } ],
      "getPSControlParam" : {
        "autoLoad" : true,
        "showBusyIndicator" : true,
        "id" : "gridexpbar_grid"
      },
      "getPSDEGridColumns" : [ {
        "align" : "LEFT",
        "cLConvertMode" : "NONE",
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.WORKITEMNAME"
        },
        "caption" : "工作项名称",
        "codeName" : "workitemname",
        "columnType" : "DEFGRIDCOLUMN",
        "dataItemName" : "workitemname",
        "excelCaption" : "工作项名称",
        "name" : "workitemname",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "WORKITEMNAME",
          "codeName" : "WORKITEMName"
        },
        "width" : 150,
        "widthUnit" : "PX",
        "enableSort" : true
      }, {
        "align" : "LEFT",
        "cLConvertMode" : "FRONT",
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.UPDATEMAN"
        },
        "caption" : "更新人",
        "codeName" : "updateman",
        "columnType" : "DEFGRIDCOLUMN",
        "dataItemName" : "updateman",
        "excelCaption" : "更新人",
        "name" : "updateman",
        "noPrivDisplayMode" : 1,
        "getPSAppCodeList" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/SysOperator.json"
        },
        "getPSAppDEField" : {
          "name" : "UPDATEMAN",
          "codeName" : "UpdateMan"
        },
        "width" : 150,
        "widthUnit" : "PX",
        "enableSort" : true
      }, {
        "align" : "LEFT",
        "cLConvertMode" : "NONE",
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.UPDATEDATE"
        },
        "caption" : "更新时间",
        "codeName" : "updatedate",
        "columnType" : "DEFGRIDCOLUMN",
        "dataItemName" : "updatedate",
        "excelCaption" : "更新时间",
        "name" : "updatedate",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "UPDATEDATE",
          "codeName" : "UpdateDate"
        },
        "valueFormat" : "YYYY-MM-DD HH:mm:ss",
        "width" : 150,
        "widthUnit" : "PX",
        "enableSort" : true
      } ],
      "getPSDEGridDataItems" : [ {
        "dataType" : 25,
        "name" : "workitemname",
        "getPSAppDEField" : {
          "name" : "WORKITEMNAME",
          "codeName" : "WORKITEMName"
        }
      }, {
        "dataType" : 25,
        "name" : "updateman",
        "getPSAppDEField" : {
          "name" : "UPDATEMAN",
          "codeName" : "UpdateMan"
        }
      }, {
        "format" : "YYYY-MM-DD HH:mm:ss",
        "dataType" : 5,
        "name" : "updatedate",
        "getPSAppDEField" : {
          "name" : "UPDATEDATE",
          "codeName" : "UpdateDate"
        }
      }, {
        "dataType" : 25,
        "name" : "srfkey",
        "getPSAppDEField" : {
          "name" : "WORKITEMID",
          "codeName" : "WORKITEMId"
        }
      }, {
        "dataType" : 25,
        "name" : "srfdataaccaction",
        "getPSAppDEField" : {
          "name" : "WORKITEMID",
          "codeName" : "WORKITEMId"
        },
        "dataAccessAction" : true
      }, {
        "dataType" : 25,
        "name" : "pworkitemid",
        "getPSAppDEField" : {
          "name" : "PWORKITEMID",
          "codeName" : "Pworkitemid"
        }
      }, {
        "dataType" : 25,
        "name" : "srfmajortext",
        "getPSAppDEField" : {
          "name" : "WORKITEMNAME",
          "codeName" : "WORKITEMName"
        }
      } ],
      "getPSDEGridEditItems" : [ {
        "caption" : "工作项标识",
        "codeName" : "srfkey",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "name" : "srfkey",
        "getPSAppDEField" : {
          "name" : "WORKITEMID",
          "codeName" : "WORKITEMId"
        },
        "getPSEditor" : {
          "editorType" : "HIDDEN",
          "name" : "srfkey"
        },
        "allowEmpty" : true
      } ],
      "pagingMode" : 1,
      "pagingSize" : 20,
      "getRemovePSControlAction" : {
        "actionName" : "Remove",
        "actionType" : "DEACTION",
        "dataAccessAction" : "DELETE",
        "name" : "remove",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Remove"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/WORKITEM.json"
        }
      },
      "sortMode" : "REMOTE",
      "hasWFDataItems" : false,
      "enableColFilter" : false,
      "enableCustomized" : true,
      "enableGroup" : false,
      "enablePagingBar" : true,
      "enableRowEdit" : false,
      "enableRowEditOrder" : true,
      "enableRowNew" : false,
      "forceFit" : false,
      "hideHeader" : false,
      "noSort" : false,
      "singleSelect" : false,
      "name" : "gridexpbar_grid",
      "modelid" : "964BAD37-30CC-44B3-A7DA-34607AA4E476",
      "modeltype" : "PSDEGRID"
    } ],
    "xDataControlName" : "gridexpbar_grid",
    "enableCounter" : true,
    "enableSearch" : false,
    "showTitleBar" : true,
    "modelid" : "d472909c43d999f61f47efbe7325a1ab_gridexpbar",
    "modeltype" : "PSEXPBAR"
  }, {
    "controlType" : "SEARCHBAR",
    "name" : "searchbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/WORKITEM.json"
    },
    "getPSControlParam" : {
      "id" : "searchbar"
    },
    "quickGroupCount" : -1,
    "quickSearchMode" : 1,
    "quickSearchWidth" : 0,
    "enableFilter" : false,
    "enableGroup" : false,
    "enableQuickSearch" : true,
    "mobileSearchBar" : false
  }, {
    "getCapPSLanguageRes" : {
      "lanResTag" : "DE.LNAME.WORKITEM"
    },
    "caption" : "工作项",
    "codeName" : "Usr08278286GridExpViewcaptionbar",
    "controlType" : "CAPTIONBAR",
    "name" : "captionbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/WORKITEM.json"
    },
    "getPSControlParam" : { }
  } ],
  "getPSDEViewCodeName" : "Usr08278286GridExpView",
  "getPSDEViewId" : "0CB422E7-4598-4FBF-8399-ECB7D828D730",
  "getPSViewLayoutPanel" : {
    "codeName" : "Layoutpanel",
    "controlStyle" : "APPDEGRIDEXPVIEW",
    "controlType" : "VIEWLAYOUTPANEL",
    "name" : "layoutpanel",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/WORKITEM.json"
    },
    "getPSControlParam" : { },
    "layoutBodyOnly" : true,
    "layoutPanel" : true,
    "useDefaultLayout" : true
  },
  "sideBarLayout" : "LEFT",
  "title" : "测试表格导航视图",
  "viewStyle" : "DEFAULT",
  "viewType" : "DEGRIDEXPVIEW",
  "enableDP" : true,
  "enableFilter" : true,
  "enableQuickSearch" : true,
  "enableSearch" : true,
  "showDataInfoBar" : true,
  "modelid" : "d472909c43d999f61f47efbe7325a1ab",
  "modeltype" : "PSAPPDEVIEW"
}